#
# spec file for package evolution-exchange (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           evolution-exchange
# This should be updated upon major version changes; it should match BASE_VERSION as defined in configure.in of evolution.
%define evolution_base_version 2.28
%if %suse_version > 1100
BuildRequires:  evoldap2-devel
%else
BuildRequires:  openldap2-devel
%endif
BuildRequires:  evolution-devel
BuildRequires:  fdupes
BuildRequires:  gnome-certauth-devel
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  lzo
BuildRequires:  lzo-devel
BuildRequires:  mozilla-nss-devel
BuildRequires:  nss-shared-helper-devel
BuildRequires:  scrollkeeper
BuildRequires:  update-desktop-files
License:        GPLv2+
Group:          Productivity/Networking/Email/Utilities
AutoReqProv:    on
Version:        2.28.2
Release:        0.1.1
Summary:        Evolution Connector for Microsoft Exchange Server 2000/2003
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/evolution-exchange/2.25/%{name}-%{version}.tar.bz2
Url:            http://www.novell.com/products/connector
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
DocDir:         %{_defaultdocdir}/evolution-exchange
PreReq:         filesystem /usr/bin/touch gconf2
Requires:       %{name}-lang = %{version}
Provides:       ximian-connector
Obsoletes:      ximian-connector
%gconf_schemas_prereq

%description
With the Connector for Microsoft Exchange installed, Evolution
functions as an Exchange client, enabling users to become full
participants in companywide group scheduling and other collaborative
tasks. Linux and Solaris users can access public folders, Global
Address Lists, e-mail, calendar, task lists, and group scheduling
information.

%package devel
License:        GPLv2+
Summary:        Evolution Connector for Microsoft Exchange Server 2000/2003
Group:          Productivity/Networking/Email/Utilities
Provides:       ximian-connector-devel
Obsoletes:      ximian-connector-devel
Requires:       %{name} = %{version}
Requires:       gnome-certauth-devel

%description devel
With the Connector for Microsoft Exchange installed, Evolution
functions as an Exchange client, enabling users to become full
participants in companywide group scheduling and other collaborative
tasks. Linux and Solaris users can access public folders, Global
Address Lists, e-mail, calendar, task lists, and group scheduling
information.

%package doc
License:        GPLv2+
Summary:        Documentation about the Evolution Connector for MS Exchange 2000/2003
Group:          Productivity/Networking/Email/Utilities
Requires:       %{name} = %{version}

%description doc
With the Connector for Microsoft Exchange installed, Evolution
functions as an Exchange client, enabling users to become full
participants in companywide group scheduling and other collaborative
tasks. Linux and Solaris users can access public folders, Global
Address Lists, e-mail, calendar, task lists, and group scheduling
information.

This package contains additional documentation for the main package.

%lang_package
%prep
%setup -q

%build
# disable as-needed to fix build
export SUSE_ASNEEDED=0
# autoreconf -f -i
%{configure} \
%if %suse_version > 1100
	--with-openldap=%{_libdir}/evoldap \
%else
	--with-openldap=yes \
%endif
	--enable-gtk-doc \
	--with-e2k-debug \
	--disable-static
%{__make} %{?jobs:-j%jobs}

%install
%{makeinstall}
# Remove the libtool archive files
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*/*/*.la
%find_lang evolution-exchange-%evolution_base_version
%find_gconf_schemas
%{__cat} evolution-exchange.schemas_list > evolution-exchange.lst
%fdupes $RPM_BUILD_ROOT
%if %suse_version > 1100
%{__mv} $RPM_BUILD_ROOT/%{_libexecdir}/evolution/%evolution_base_version/evolution-exchange-storage $RPM_BUILD_ROOT/%{_libexecdir}/evolution/%evolution_base_version/evolution-exchange-storage.bin
echo -e "#!/bin/bash\n\nLD_LIBRARY_PATH=%{_libdir}/evoldap/lib exec -a \"%{_libexecdir}/evolution/%evolution_base_version/evolution-exchange-storage\" %{_libexecdir}/evolution/%evolution_base_version/evolution-exchange-storage.bin \"\$@\"" > $RPM_BUILD_ROOT/%{_libexecdir}/evolution/%evolution_base_version/evolution-exchange-storage
%{__chmod} +x $RPM_BUILD_ROOT/%{_libexecdir}/evolution/%evolution_base_version/evolution-exchange-storage
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f evolution-exchange.lst
%defattr(-, root, root)
%{_bindir}/exchange-connector-setup*
%{_datadir}/evolution-exchange
%{_libdir}/bonobo/servers/*.server
%{_libdir}/evolution-data-server-1.2/camel-providers/*
%{_libexecdir}/evolution/*/evolution-exchange-storage*

%files lang -f evolution-exchange-%evolution_base_version.lang

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Dec 14 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + bgo#436619 - Adding a meeting "Resource" gives "Unable to book"
  + bgo#601218 - Accepted meeting doesn't show attachments in
    calendar
  + bgo#603437 - Fix a memory leak
- Changes from version 2.28.1:
  + bgo#521956 - Groups from Global Address List are incomplete
  + bgo#596157 - Use "Message-ID" instead of "Message-Id"
  + updated translations.
* Mon Sep 21 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Bug fixes
  + Updated translations.
* Wed Sep  9 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + Simple version bump to stay in sync.
* Tue Aug 25 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Fix the addressbook loading failures
  + Updated translations.
* Mon Aug 10 2009 dominique-obs@leuenberger.net
- Update to version 2.27.90:
  + Enforce including only top-level GLib and GTK+ headers.
* Wed Jul 29 2009 dominique-obs@leuenberger.net
- Update to version 2.27.5:
  + bgo#522277 - Crash in Evolution: sending, recelving, deleting
  + Remove unneeded includes. Fixes part of bgo#580904
  + Updated translations.
- Changes from version 2.27.4:
  + bgo#586206 - build failed on Solaris.
  + bgo#586809 - Enable "silent rules" automake 1.11 option
  + Use G_BEGIN_DECLS / G_END_DECLS macros
  + Remove INSTALL from source control
  + Use AM_CPPFLAGS instead of INCLUDE in all Makefile.m
  + Remove EConfigListener usage
- Changes from version 2.27.3:
  + bgo#581908 - Missing mails in exchange
  + bgo#581424 - Folder > Subscription broken
  + code cleanup
- Use libexecdir instead of libdir where appropriate.
* Sun Jul 12 2009 coolo@novell.com
- disable as-needed to fix build
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Updated translations.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + bgo#563954 - Define its own compare function for UIDs
  + bgo#577105 - Prevent using NULL in libical functions
  + bgo#553932 - Do not notify about readonly mode when not asked
  + bnc#464053 - GAL Delta fetching support added
  + Updated translations.
* Sun Apr 26 2009 vuntz@novell.com
- Remove unneeded BuildRequires: notification-daemon (libnotify
  recommends it), perl-XML-Parser, sgml-skel.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Updated translations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Bug fixes: bgo#567852, bgo#572950.
  + Performance improvements.
* Sat Mar  7 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Updated translations.
- Remove -fno-strict-aliasing from compilation flags.
* Wed Feb 18 2009 msuman@suse.de
- Update to version 2.25.91:
  + Bugs fixed: bgo#432885, bgo#545455
  + Updated translations
- Remove option -DLDAP_DEPRECATED to CFLAGS, it is already
  specified internally upstream.
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Thu Feb  5 2009 vuntz@novell.com
- Remove compilation flags that were added: those should really
  used upstream, and not in a distribution.
* Wed Feb  4 2009 msuman@suse.de
- Update to version 2.25.90:
  + Bugs fixed: bgo#360813, bgo#566279
  + Updated translations
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Tue Jan  6 2009 msuman@suse.de
- Update to version 2.25.4:
  + Bugs fixed: bnc#441712, compiler warnings cleanup
- Dropped this patch fixed upstream:
  + bnc-441712-error-loading-gal.patch
* Tue Dec 23 2008 msuman@suse.de
- Update to version 2.25.3:
  + Bugs fixed: bgo#540346, bgo#558883
- Dropped these patches fixed upstream:
  + bgo-540346-connection-fetch-contacts.patch
  + bnc-441347-exchange-performance-fix.patch
- Removed unnecessary 'Requires' tags
* Thu Nov 20 2008 abharath@suse.de
- Patches added
  + bgo#540346 - bgo-540346-connection-fetch-contacts.patch - Do
  not try to fetch contacts when not connected.
  + bnc#441347 - bnc-441347-exchange-performance-fix.patch -
  Evolution 2.24 is terribly slow with large folders.
  + bnc#441712 - bnc-441712-error-loading-gal.patch - Error while
  loading GAL.
* Mon Nov  3 2008 msuman@suse.de
- Clean up the spec file to use proper RPM macros.
- Do not use a custom libexec directory. It serves no purpose.
- Drop the following patches:
  + connector-ldap-fix.patch - not required anymore
  + warning-fix.patch - not required anymore
* Fri Oct 31 2008 msuman@suse.de
- Invoke the binaries from a script which sets the library path
  for picking the LDAP libraries.
* Wed Oct 22 2008 maw@suse.de
- Update to version 2.24.1:
  + Minor fixes.
* Fri Oct  3 2008 sragavan@suse.de
- Make sure that Evolution/friends depend on evoldap2-client
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Bugs fixed: bgo#550160, bgo#546972, and bgo#552013
  + Updated translations.
* Tue Aug 26 2008 maw@suse.de
- Update to version 2.23.90:
  + Bugs fixed: bgo#329505, bgo#489236, bgo#545877, bgo#546257,
    bgo#546397, bgo#546933, bgo#546934, and bgo#547308
  + Updated translations.
* Fri Aug  8 2008 maw@suse.de
- Update to version 2.23.6:
  + Camel DB Summary support
  + Bugs fixed: bgo#528902, bnc#208394, bgo#500389, bgo#544031,
    and bgo#544513
  + Updated translations
- Drop stale patches:
  bnc-295107-rename-folder-hides-hierarchy.patch,
  bnc-295107-rename-folder-hides-hierarchy-1.patch, and
  bnc-203481-local-variable-use.patch
- Remove reference to patches that weren't being applied anyway:
  evolution-exchange-2.11.5-cert-auth-complete.patch and
  bnc-307861-ex-calendar-auth.diff.
* Tue Jun 24 2008 mauro@suse.de
- Update to 2.23.4
  + Fix for bgo#402752, bgo#532844, bgo#536376, bgo##536638.
* Thu May 15 2008 abharath@suse.de
- Update to version 2.22.1.2
  + Bugs fixed: bgo#523023
  + Included doc files missed in the previous tarball.
- Removed
  - bgo#523023 bgo-523023-leaks.patch - Included in latest tarball. So remove the patch
  + Rebased
  bnc#295107
  + bnc-295107-rename-folder-hides-hierarchy.patch
  + bnc-295107-rename-folder-hides-hierarchy-1.patch
- Cleanup (Unwanted patches)
  - build-fix.patch - Not needed.
  + Added appropriate tags
* Tue May 13 2008 maw@suse.de
- Run ./configure with --enable-gtk-doc and reenable the -doc
  subpackage.
* Thu May  8 2008 psankar@suse.de
- Push evolution-exchange 2.22.1.1 tarball
- No crypto changes
- Tarball contains fix for bnc bug #358706
- If Evolution is switched from Offline to Online, the stub is disconnected and no stub operations would work.
- Fix network online mode issues
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + Bugs fixed: bnc#268259 and bgo#303067
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Bugs fixed: bgo#432885 and bgo#518569
  + Updated translations.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + Bugs fixed: bgo#432885, bgo#514836, bgo#515744, bgo#516248,
    bgo#516250, bgo#516252, and bgo#516408
  + Updated translations
- Drop bnc-294999-sub-other-user-folder-fix.patch.
* Thu Feb 28 2008 ro@suse.de
- added lang_package macro to specfile
* Thu Feb 21 2008 maw@suse.de
- Fix silly build error.
* Tue Feb 19 2008 maw@suse.de
- Update to version 2.21.91:
  + Bugs fixed: bgo#420503, bgo#436628, and bgo#501295
  + Fix for crash in process_flags
  + Fix for junk folder
  + Updated translations.
* Wed Feb  6 2008 maw@suse.de
- Update to version 2.21.90:
  + The big version bump is due to evolution and related projects
    synchonrising their version numbers with those of the GNOME
    project at large
  + Updates to work with recent versions of libsoup
  + Bugs fixed: bgo:#404002, bgo#501567, bgo#503356, bgo##336074,
    bgo#444503, and bgo#478680.
  + Some code cleanups and documentation updates
  + Updated translations.
* Wed Dec  5 2007 maw@suse.de
- Build with openldap2-devel, not openldap2.
* Mon Sep 17 2007 vvaradhan@suse.de
- Fixes (BNC)
    [#295107] - Rename of folder hides hierarchy
    [#294999] - Subscribe to other user's folder doesn't work
* Mon Sep 17 2007 maw@suse.de
- Update to version 2.12.0:
  + Bugs fixed: #295558, #295622, #295646, and #308057
  + Updated translations.
* Sat Sep 15 2007 maw@suse.de
- Fix bnc-307861-ex-calendar-auth.diff,
* Fri Sep 14 2007 pchenthill@novell.com
- bnc-307861-ex-calendar-auth.diff: Added a static capability for
  smart card support.
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.11.92:
  + Bugs fixed: #301263 (bugzilla.novell.com), and #467591 and
    [#464404] (bugzilla.gnome.org)
  + Updated translations
- Add build-fix.patch.
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.11.91:
  + Fixes for #347930, #464639, #464989, #332979, #455858,
    [#466502], and #466987
  + Updated translations.
* Fri Aug 17 2007 jberkman@novell.com
- add support for smartcard ssl authentication (bug #273869)
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes.
- Split off a -lang subpackage
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.11.6.1:
  + Mails from are a delegate are identified and headers that evo
    can use are set
  + Bug (bugzilla.gnome.org) fixed: #380534
  + Updated translations
- Use %%fdupes.
* Mon Jul 23 2007 maw@suse.de
- Update to version 2.11.5
- bugzilla.gnome.org bugs fixed:
  [#442186], #341214, #421091: Folder loading optimizations from few minutes
  [#444101]: Fix new compiler warnings since 2.11.2 (Matthew Barnes)
  [#385354]: Fix build break on Solaris (Wang Xin)
  [#406155]: Add locks to access changed message arrays (Varadhan)
  [#424419]: Fixed a misspelling (Elizabeth Greene)
  [#439579]: Fixed a deprecated function call ( Matthew Barnes)
  [#433967]: Add a CLEANFILES rule to remove a schema file (Matthew
  Barnes)
  [#418852]: Use GLib's i18n support instead of Camel's (Matthew
  Barnes)
  [#405916]: Fix all compiler warnings (Matthew Barnes)
  [#405495]: Don't mix declarations and code (Matthew Barnes)
  [#363283]: Fix the bug-report address in AC_INIT (Gilles Dartiguelongue)
  [#414216]: Fix a #include typo (Loïc Minier)
- Updated translations
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.10.1
- Updated translations for the es, dz, eu, and gl locales.
* Wed Mar 28 2007 maw@suse.de
- Add the magic gconf scripts.
* Tue Mar 27 2007 maw@suse.de
- Update to version 2.10.0
- Refresh warning-fix.patch
- Explicity require notification-daemon
* Thu Jan 11 2007 sbrabec@suse.cz
- More spec file cleanups.
* Fri Dec 15 2006 maw@suse.de
- Move to /usr
- Some specfile cleanups.
* Mon Nov 20 2006 vvaradhan@novell.com
- update to version 2.8.2
- translation updates
- Fixes (bnc):
  215633 Crash after deleting calendar events
  208395 cannot access a folder containing a "#" in the name
  Fix for hang while viewing a HTML mail, which has images to
  be loaded based on contacts.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.8.1
- translation updates
* Mon Sep 11 2006 vvaradhan@novell.com
- Cleanup of spec file
- Deleted upstreamed patches
* Mon Sep  4 2006 aj@suse.de
- Remove openldap patches for building on <= 9.1.
- Disable scrollkeeper.
* Mon Sep  4 2006 vvaradhan@novell.com
- Update to 2.8.0
  * Lots of bugfixes
  * Translation update
  * Adopt for evolution 2.8.0.
* Wed Jun 28 2006 fejj@suse.de
- Added bnc-179545.patch to fix a hang in the Exchange Connector.
* Fri Jun 16 2006 fejj@suse.de
- Added bnc-179566-2.patch which fixes a bug in the last patch
* Fri Jun  2 2006 fejj@suse.de
- Added bnc-179566.patch to fix up the last patch - camel_read()
  does not guarantee that it will read() n bytes, only that it is
  cancellable.
* Mon May 15 2006 fejj@suse.de
- Added bnc-166987-exchange.patch to the build (fixes the Exchange
  Connector portion of bug #166987).
* Tue May  9 2006 sragavan@novell.com
- Fixes (bgo)
  339277 - Show public folder correctly (Sush)
  330265 - Overwrite same contact addresses. (Sush)
* Mon May  8 2006 sragavan@novell.com
- Updated the patch for 168319 to fix the build failure.  (Srini)
  Removed the ChangaLog present in the patch.
* Fri May  5 2006 sragavan@novell.com
- Fixes (bnc)
  168319 - Delete old events when moved.
  166990 - Fixes a crash while loading exchange calendars.
* Fri May  5 2006 sragavan@novell.com
- Fixes (bnc)
  169034- - Fixes the public folder download issue.
* Mon Apr 24 2006 sragavan@novell.com
- Fixes (bg0)
  330494 - Fix to show attachments in Accepted Meeting.
* Fri Apr 21 2006 sragavan@novell.com
- Fixes (bgo)
  325960 Show subscribed and public folders without requiring restart for evolution (Sushma)
* Wed Apr 19 2006 sragavan@novell.com
- Fixes (bgo)
  334391 Crash on saving a event with attachment - Sushma
  334900 Crash while importing ics file into calendar
  330674 Updated cancel meeting request exchange storage crashed - Chenthill
  334727 Randomly doesnt display appointments
* Tue Apr  4 2006 meissner@suse.de
- added lzo-devel lzo to buildrequires to make it build on PLUS.
* Mon Mar 13 2006 vvaradhan@novell.com
- Update to version 2.6.0 - Fixes (bgo)
  333163  Evo-Exchange Crashes due to `E2K_IS_GLOBAL_CATALOG (gc)' failed
  273057 	Meetings gets deleted after updates for Recurrence accepted
  270418 	mailer memory related issues - tracker bug
  315441 	Unable to create Exchange Account - Missing server name
  330974 	Convert mail to task is not creating task in exchange 'Tasks'
  331089 	Recurrence should not be disabled in exchnage meeting
  271567 	messages with horizontal tab character in subject
  header stay in outbox
  321479 	evolution don't work with exchange 2003
  327337 	Evolution crashed when clicked on 'File ->Permissions' in offline
  332129 	Modify OWA to http instead of https for ssl configured server,
  connector crashes during authentication
  333603 	while deleting tasks exchange storage crashes
  313683 	Error sending mail over Exchange
  272749 	Email invitations accepted into exchange calendar are not saved
  301994 	can't add recurring meeting invitation to calendar
  312423 	catagory not modifiable for accepted exchange meeting
  313045 	evolution-exchange can't delete meetings
  323990 	Evolution locks up trying to accept a calendar event
  317432 	POTFILES list non-shipped files
  262079 	Evolution showing error message when opened in contacts view
  317533 	Cannot add meeting to own calendar if it exists in
  subscribed calendar
* Tue Feb 28 2006 sbrabec@suse.cz
- Build with optimization.
* Mon Feb 27 2006 vvaradhan@novell.com
- Update to version 2.5.92
- Fixes: (bgo)
  327939  "evolution-exchange-storage quit unexpectedly
  330982 	Evolution crash when exiting application
  331213 	Evolution-Exchange-Storage crashes at startup
  332351 	crash of exchange storage on quit
  332368 	Attempting to view properties for Contacts folder
  causes crash
  304188 	Exchange Data Store terminated unexpected
  331277 	Connector 2.5.91 crashes on startup
  330677 	Meeting accept/decline mail from attendee is sent to
  attendee
  267025 	Random crash in exchange-storage after receiving a
  meeting request email
  269441 	Consistent hang while "Scanning for changed messages"
  or "Fetching summary information" when connecting
  across internet
  274030 	Evolution-Exchange-Storage Dies
  318698 	Tried to change my exchange password
  319865 	Evolution crash under KDE
  329569 	Modifying a particular instance causes crash
  331980 	Connector crashes on account changed signal
  273465 	'Update status' doesnt update invited users status
  in 'Attendee' list
  328587 	Changes done to messages in offline is not
  synched to server
  266737 	Meeting cancellations don't allow me to actually
  Cancel the meeting
  271882 	meeting reminders after configuring account
  307897 	Exchange connecter crashes when used
  312681 	MS exchange account cannot be deleted entirely
  317972 	can't get online
  320372 	copy contacts from Global address list to other folder
  328563 	'Permission denied' error while changing tasklist property
  330638 	delete user created calendar does not clear child
  calendar from gconf
  330668 	Exchange connector crashed while restarting evolution
  313681 	Free/Busy update not displaying info for (Exchange) attendees
  274089 	Evolution Crashes on startup fails to contact backend process
  315834 	evolution exchange will not run
  248804 	directory servers coming back after being removed...
  330665 	Exchange connector crash while accepting meeting
  332164 	Filters with attachments donot work
  332175 	Error while manually applying filters
  307638 	MS-Exchange - other users calendars
  327410 	Deleting/Moving messages in offline mode (exchg) does not work
  327134 	should specify requirement is kerberos-dev package
  instead of /usr/bin/ld: cannot find -lkrb5
  327135 	Make should explictly say that xinerama dev packages are
  required instead of /usr/bin/ld: cannot find -lXineramaf
  327136 	Make should specify xcursor libs as a requirement instead
  of /usr/bin/ld: cannot find -lXcursor
  327138 	should make xfixes requirement for configure to succeed
  272387 	all memory utilized when opening public calendar
* Wed Feb 15 2006 aj@suse.de
- Reduce BuildRequires.
* Fri Feb 10 2006 vvaradhan@novell.com
- Update to 2.5.9.0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec  1 2005 gekker@suse.de
- Update to version 2.4.2
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.4.1
- Remove upstreamed patch
* Mon Sep 26 2005 ro@suse.de
- move LDAP_DEPRECATED to correct place in specfile
* Mon Sep 26 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Thu Sep  8 2005 gekker@suse.de
- Fix to see existing email on newly configured account (115416)
* Mon Sep  5 2005 gekker@suse.de
- Update to version 2.4.0 (GNOME 2.12)
- Removed upstreamed patch
* Thu Aug 25 2005 gekker@suse.de
- Update to version 2.3.8
* Sat Aug 13 2005 aj@suse.de
- Add lzo and lzo-devel to neededforbuild.
* Fri Aug 12 2005 gekker@suse.de
- Update to version 2.3.7
* Wed Aug 10 2005 gekker@suse.de
- Remove -rpath and fix nfb (95673)
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.3.6
- Remove upstreamed patch
* Tue Jul 26 2005 gekker@suse.de
- Update to version 2.3.5
- Fix return of random data in function
* Fri Jul  1 2005 gekker@suse.de
- Update to version 2.3.3
- Rename package from ximian-connector to evolution-exchange
* Wed May 18 2005 ro@suse.de
- fix typo in specfile
* Wed May 18 2005 ro@suse.de
- for < 9.2 re-add patched openldap
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Fri Mar 18 2005 gekker@suse.de
- Preserve authentication credentials (x73627).
* Wed Mar 16 2005 gekker@suse.de
- Update to version 2.2.1
* Tue Mar  8 2005 gekker@suse.de
- Update to version 2.2.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- Update to version 2.1.6
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.1.5
* Sat Feb  5 2005 gekker@suse.de
- Update to version 2.1.4
* Tue Jan 18 2005 clahey@suse.de
- Updated to version 2.1.3.
* Wed Jan 12 2005 gekker@suse.de
- Update to version 2.1.2
- Add 2.1.2-warning.patch
* Tue Dec  7 2004 gekker@suse.de
- Update version to 2.0.3 (Ximian 70057)
* Tue Nov 30 2004 ro@suse.de
- Apply patch to fix forms based authentication
  http://bugzilla.ximian.com/show_bug.cgi?id=66926
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Wed Nov  3 2004 ro@suse.de
- locale rename: no -> nb
* Fri Oct  8 2004 dobey@suse.de
- Apply patch for bug #67510 in bugzilla.ximian.com
* Fri Oct  1 2004 dobey@suse.de
- Apply patch to fix bug #65685 in bugzilla.ximian.com
- Re-run libtoolize to fix bug #67291 in bugzilla.ximian.com
- Fix files list to only include the .so and .urls files for camel-provider
- Remove the .a and .la files for the camel provider at build install time
* Mon Sep 27 2004 dobey@suse.de
- Fix dependency on evolution 1.5.94 to require >= 2.0 instead
* Fri Sep 24 2004 dobey@suse.de
- Update to 2.0.1
* Tue Sep 14 2004 dobey@suse.de
- Update to 2.0.0
* Sun Aug 29 2004 dobey@suse.de
- Update to 1.5.94
* Sat Aug 21 2004 dobey@suse.de
- Add openldap2 and cyrus-sasl2 builddeps
* Tue Aug 17 2004 dobey@suse.de
- Add MozillaFirefox libdir to rpath
* Sun Aug 15 2004 dobey@suse.de
- Update to 1.5.93
- Add patch to acinclude.m4 to fix static ldap linking
* Thu Aug 12 2004 ro@suse.de
- added builddeps: gnutls gnutls-devel libgcrypt libgcrypt-devel
    libgpg-error libgpg-error-devel
* Wed Aug  4 2004 dobey@suse.de
- Update to 1.5.92
* Mon Aug  2 2004 dobey@suse.de
- Don't run autoconf/aclocal before configuring
* Wed Jul 28 2004 dobey@suse.de
- Updated to 1.5.91
* Tue Jul 13 2004 clahey@suse.de
- Updated to 1.5.90.
* Tue Jun 22 2004 clahey@suse.de
- Add mozilla to the rpath.
* Mon Jun 21 2004 ro@suse.de
- fix invalid use of const
* Wed Jun  9 2004 clahey@suse.de
- builddep on mozilla.
* Tue Jun  8 2004 clahey@suse.de
- Updated to 1.5.9.
* Thu May 27 2004 hhetter@suse.de
- cleanup specfile
* Thu May 13 2004 hhetter@suse.de
- inital SUSE package
